@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=JetBrains%20Mono:wght@400;600;700&display=swap');

:root {
    --width: 1000px;
    --font-main: 'Inter', sans-serif;
    --font-monospace: 'JetBrains Mono', monospace;
    --font-scale: 1.1em;
    --background-color: #3D00FF;
    --heading-color: #C2FE0C;
    --text-color: #FFFFFF;
    --link-color: #C2FE0C;
    --visited-color: #89B701;
    --code-background-color: #1E1E2E;
    --code-color: #FFFFFF;
    --blockquote-color: #C2FE0C;
}

header {
    padding-bottom: 0px;
    margin-bottom: 30px;
    border-bottom: 1px solid var(--text-color);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-main);
    color: var(--heading-color);
}

body,
blog,
#blog,
article {
    font-family: var(--font-main);
    font-size: var(--font-scale);
    margin: auto;
    padding: 20px;
    max-width: var(--width);
    text-align: left;
    background-color: var(--background-color);
    word-wrap: break-word;
    overflow-wrap: break-word;
    line-height: 1.5;
    color: var(--text-color);
}

a {
    color: var(--link-color);
    cursor: pointer;
    text-decoration: bold;
}
a:hover {
    text-decoration: underline;
    text-decoration-style: dashed;
    text-decoration-thickness: 2px;
    text-underline-offset: 0.4ch;
}
nav a {
    margin-right: 8px;
}

strong,
b {
    color: var(--heading-color);
}

button {
    margin: 0;
    cursor: pointer;
}

main {
    line-height: 1.6;
}

table {
    width: 100%;
}

hr {
    border: 0;
    border-top: 1px dashed;
}

img {
    max-width: 100%;
}

code,
#code {
    font-family: var(--font-monospace);
    padding: 2px;
    background-color: var(--code-background-color);
    color: var(--code-color);
    border-radius: 3px;
}

blockquote {
    border-left: 1px solid var(--blockquote-color);
    color: var(--blockquote-color);
    padding-left: 20px;
    font-style: italic;
}

footer {
    padding: 25px 0;
    text-align: center;
    border-top: 1px solid var(--text-color);
    margin-top: 40px;
}

.title:hover {
    text-decoration: none;
}


.title {
    text-decoration: none !important;
}

.title h1 {
    font-size: 2em;
}

.inline {
    width: auto !important;
}

.highlight,
.shell,
.code {
  	font-family: var(--text-monospace);
    padding: 1px 15px;
    background-color: var(--code-background-color);
    color: var(--code-color);
    border-radius: 3px;
    margin-block-start: 1em;
    margin-block-end: 1em;
    overflow-x: auto;
}
